import { FunctionComponent, PropsOf } from "@builder.io/qwik";
export interface ListBlockData {
    style: "ordered" | "unordered";
    items: NestedListItem[];
}
export type NestedListItem = {
    content: string;
    items: NestedListItem[];
} | string;
export declare const Group: <C extends string | FunctionComponent<Record<any, unknown>> = string | FunctionComponent<Record<any, unknown>>>(props: import("@builder.io/qwik").PublicProps<import("@builder.io/qwik").PropFunctionProps<{
    as?: C | undefined;
    key?: string | undefined;
    items: NestedListItem[];
} & PropsOf<string extends C ? "ul" : C>>>, key: string | null, flags: number, dev?: import("@builder.io/qwik").DevJSX | undefined) => import("@builder.io/qwik").JSXNode<string | FunctionComponent<Record<any, unknown>>> | null;
declare const List: import("@builder.io/qwik").Component<import("@builder.io/qwik").PropFunctionProps<Record<any, any>>>;
export default List;
